- Reference
- OCPI 2.2.1 (eMSP)
- Unregister a partner (eMSP mount, invalidates their Token C)
OpenAPI reference
Unregister a partner (eMSP mount, invalidates their Token C)
DELETE
/credentialsDELETE /credentials
API: OCPI 2.2.1 (eMSP) · Module: Credentials
Base path:/credentials· Base URL:https://ocpi-api.gridos.co/ocpi/emsp/2.2.1
Overview
DELETE /credentialsAbsolute URL: https://ocpi-api.gridos.co/ocpi/emsp/2.2.1/credentials
Requires authentication. Use Authorization: Token <token>. See OCPI credentials.
How to call
Quick Shell sample (set OCPI_TOKEN when auth is required). Full Python and TypeScript under Examples.
curl -sS -X DELETE 'https://ocpi-api.gridos.co/ocpi/emsp/2.2.1/credentials' \
-H "Authorization: Token $OCPI_TOKEN"Responses
| Status | Description | Schema |
|---|---|---|
200 | Successful Response | CredentialsResponse |
401 | Unauthorized | — |
200 — successful response
application/json
Schema: CredentialsResponse
| Field | Type | Required | Description |
|---|---|---|---|
status_code | integer | No | Default: 1000 |
status_message | string | No | — |
timestamp | string (date-time) | No | — |
data | Credentials | No | Credentials |
Response example
{
"data": {
"roles": [
{
"business_details": {
"name": "Charge Point Operator NL",
"website": "https://example.com"
},
"country_code": "NL",
"party_id": "CPO",
"role": "CPO"
}
],
"token": "ebf3b399-779f-4497-9b9d-ac6ad3cc44d2",
"url": "https://example.com/ocpi/2.2.1/versions"
},
"status_code": 1000,
"status_message": "Success",
"timestamp": "2024-01-15T10:00:00Z"
}401 — unauthorized
application/json
Response example
{
"status_code": 2001,
"status_message": "Unauthorized",
"timestamp": "2025-01-01T00:00:00Z"
}Examples
Shell, Python, and TypeScript (set OCPI_TOKEN when auth is required).
curl -sS -X DELETE 'https://ocpi-api.gridos.co/ocpi/emsp/2.2.1/credentials' \
-H "Authorization: Token $OCPI_TOKEN"